<template>
  <div style="width: 100%">
    <div class="card-review" :class="styleCard"  @click="$emit('goTo')">
      <div>
        <h3 v-if="titleTop" :class="styleTitleTop" class="title-card-int">
          <span>{{textTop}}</span>
          <span v-bind:class="[ isBigLetters == true ? 'caret-card-special' : 'caret-card' ]">
             <!-- class="caret-card" -->
            <i :class="colorCaret" class="el-icon-caret-bottom"></i>
          </span>
        </h3>
      </div>
      <img :src="rutaImg">
      <h3 v-if="titleBottom" :class="styleTitleBottom">
        <span :class="{'heightTitle': (textBottomB == undefined || textBottomB == '')}">{{textBottomA}} <br> {{textBottomB}}</span>
      </h3>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    titleTop: Boolean,
    textTop: {
      type: String,
      required: false
    },
    rutaImg: String,
    titleBottom: Boolean,
    textBottomA: {
      type: String,
      required: false
    },
    textBottomB: {
      type: String,
      required: false
    },
    styleCard: String,
    styleTitleTop: {
      type: String,
      required: false
    },
    styleTitleBottom: {
      type: String,
      required: false
    },
    colorCaret: {
      type: String,
      required: false
    },
    isBigLetters: Boolean
  },
  methods: {
  }
}
</script>

<style>
.heightTitle{
  display: inline-block;
  height: 70px
}
</style>
